Subject: bug#28236: 'configure --with-cairo' causes 'emacs -font' to fail

From: Ari Roponen <[email-masked]>
Date: Wed, 12 Dec 2018 14:03:48 +0200

Eli Zaretskii <[email-masked]> writes:

>> From: Dmitry Gutov <[email-masked]>
>> Date: Tue, 11 Dec 2018 03:50:06 +0200
>> 
>> On 25.08.2017 22:57, [email-masked] wrote:
>> >    bash# src/emacs -Q -font 7x14
>> >    => Font ‘7x14’ is not defined
>> 
>> FWIW, I can confirm with the latest emacs-26 and master.
>
> Thanks for trying.  AFAIU, this is an important user-level feature, so
> we should try fixing it if we want to enable Cairo by default.
>

I can get the same result also without Cairo:
    emacs-26.1 --xrm "Emacs.fontBackend: xft" -q -font 7x14

When I copy the font where fontconfig can see it:
    cp /usr/share/X11/fonts/misc/7x14.pcf.gz ~/.local/share/fonts/
    fc-cache -vf
I see this:
    fc-list | grep 7x14
=>  /home/arirop/.local/share/fonts/7x14.pcf.gz: Fixed:style=Regular

After that, using "-font Fixed" seems to work.